var viewHtml = "init.html";
var searchStrs = "";
var tmpsearchStrs = "";
$('#tab1').on('click', function() {
	$('.sidebar-collapse').css("display", "block");
	$('.search').css("display", "none");
	$('#tab1').addClass("select");
	$('#tab2').removeClass("select");
	tmpsearchStrs = searchStrs;
	searchStrs = "";
})
$('#tab2').on('click', function() {
	$('.sidebar-collapse').css("display", "none");
	$('.search').css("display", "block");
	$('#tab1').removeClass("select");
	$('#tab2').addClass("select");
	searchStrs = tmpsearchStrs;
})
$('#searchbutton').on('click', function() {
	fncDoSearch();
})

$("#searchTextbox").keypress(function(e){
	if(e.which != 13){
		return;
	}
	fncDoSearch();
});

function fncDoSearch() {
	var strSearchTexts = $('#searchTextbox').val();
	if(strSearchTexts == ""){
		return;
	}
	$('.sidebar-search').css("display","");
	var strSearchTexts = $('#searchTextbox').val();
	strSearchTexts = escapeSearchText(strSearchTexts);
	// 検索条件をエスケープ
	showSearchResult(strSearchTexts);
}

// 検索条件をエスケープ
function escapeSearchText(strSearchTexts){
		var regexpEscapeJson = /([$()\-^\\\|\[\]{},:+*.?])/g;
		if (regexpEscapeJson.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeJson, "\\$1");
		}
		var regexpEscapeHtmlAmp = /(&)/g;
		if (regexpEscapeHtmlAmp.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlAmp, "&amp;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlAmp, "&amp;");
		}
		var regexpEscapeHtmlLt = /(<)/g;
		if (regexpEscapeHtmlLt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlLt, "&lt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlLt, "&lt;");
		}
		var regexpEscapeHtmlGt = /(>)/g;
		if (regexpEscapeHtmlGt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlGt, "&gt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlGt, "&gt;");
		}
		return strSearchTexts;
}

function showSearchResult(strSearchTexts){
	// 検索先情報 (search.json) の取得
	var s = eval(search);
	// 検索先情報分ループ
	var iLoopLength = s.length;
	var result = '<div id="id_search_results" style="background-color: rgb(255, 255, 255);height: calc(87vh - 170px);">';
	var resultCount = 0;
	var searchTexts = createSearchText(strSearchTexts);
	for (var i = 0; i < iLoopLength; i++) {
		// 検索先情報の取得
		var body = s[i].body;		// 本文
		// 本文が空ならスキップ
		if (!body || !searchBody(body,strSearchTexts)) {
			continue;
		}
		result += createSearchResultDiv(s[i], searchTexts)
		resultCount++;
	}
	result += "</div>";
	var viewResult ="<div id=\"id_search_info\"> <span style=\"color: #cf4e32;\">" + resultCount + "</span> " + resultStr + "</div>";
	viewResult += result;
	$(".sidebar-search").html(viewResult);
}

function searchBody(body, strSearchTexts){
	var resultBoolean = true;
	body = body.toLowerCase();
	var searchTexts = createSearchText(strSearchTexts);
	$.each(searchTexts, function(index, value){
		if(value != " " && !body.match(value.replace("#space", " "))){
			resultBoolean = false;
			return false;
		}
	})
	return resultBoolean;
}

function createSearchText(strSearchTexts){
	strSearchTexts = strSearchTexts.toLowerCase();

	//ダブルクォーテーションの中の文字はスペースがあっても分割しない。
	strSearchTexts = strSearchTexts.replace(/"(.*?) (.*?)"/,"$1#space$2").replace(/　/," ");
	var txt = strSearchTexts.split(" ");
	//空要素と重複要素を除去
	var arr2 = txt.filter(function(s){return s !== '';});
	var arr3 = arr2.filter(function (x, i, self) {
		return self.indexOf(x) === i;
	});
	return arr3;
}

//検索結果のDivを作成します。
function createSearchResultDiv(target, searchTexts){
	searchStrs = searchTexts;
	var arrResults = new Array();
	arrResults.push("<div class=\"search_topic_title\">");
	arrResults.push("&nbsp;");

	arrResults.push("<a href=\"javascript:changeHtml('" + target.HTMLFileName + "');\">");
	arrResults.push(target.title);
	arrResults.push("</a>");

	arrResults.push("</div>");
	arrResults.push("<div class=\"search_topic_summary\">");
	arrResults.push(markingColor(searchTexts, target.body));
	arrResults.push("</div>");
	return arrResults.join("");

}

//targetで指定した文字をハイライトします。
function markingColor(target, body){
	var nMarkerColor = 0;
	var strMarkerColor = "";
	var strMarkerEndColor = "";
	var baseLength = body.length;
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		if(target[k] != " "){
			switch (nMarkerColor) {
				case 0:
					strMarkerColor = String.fromCharCode(0x2080);
					break;
				case 1:
					strMarkerColor = String.fromCharCode(0x2081);
					break;
				case 2:
					strMarkerColor = String.fromCharCode(0x2082);
					break;
				case 3:
					strMarkerColor = String.fromCharCode(0x2083);
					break;
				case 4:
					strMarkerColor = String.fromCharCode(0x2084);
					break;
			}

			var targetRegexp = new RegExp(target[k],'gi');
			var matchList = body.match(targetRegexp);
			var nonDuplicationlist = matchList.filter(function (x, i, self) {
				return self.indexOf(x) === i;
			});
			for (var t of nonDuplicationlist) {
				body = body.replaceAll(t,strMarkerColor +  t + String.fromCharCode(0x2085))
			}
			
			nMarkerColor++;
			if(nMarkerColor > 4){
				nMarkerColor = 0;
			}
		}
	}
	
	var resultBody = "";
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		var strcount = body.search(target[k]);
		var baseBody = body;
		var startCount = strcount - 21;
		if(startCount < 0){
			startCount = 0;
		}
		targetBody = baseBody.substring(startCount, strcount + target[k].length + 21);
		if(strcount - 20 > 0){
			targetBody = "..." + targetBody;
		}
		if(strcount + target[k].length + 20 < baseLength){
			targetBody = targetBody + "...";
		}
		resultBody += targetBody;
	}
	resultBody = resultBody.replace(/\u2080/g, "<span class=\"backA\">");
	resultBody = resultBody.replace(/\u2081/g, "<span class=\"backB\">");
	resultBody = resultBody.replace(/\u2082/g, "<span class=\"backC\">");
	resultBody = resultBody.replace(/\u2083/g, "<span class=\"backD\">");
	resultBody = resultBody.replace(/\u2084/g, "<span class=\"backE\">");
	resultBody = resultBody.replace(/\u2085/g, "</span>");

	return resultBody;
}

function changeHtml(htmlName) {
	$('#frame').attr("src", htmlName);
	viewHtml = htmlName;
	$('.topic').removeClass('thisTopic');
    $('#' + htmlName.replace(".html", "")).addClass('thisTopic');
    if(window.innerWidth <768){
   		$('nav.navbar-side').removeClass('open').addClass("in");
   		$('button.navbar-toggle').removeClass('open').addClass("collapsed")
	}
}
$('#frame').load(function(){
	$('#frame')[0].contentWindow.postMessage(searchStrs, "*");	// iframeの場合
});
var search=[{topicId:"guid-5e876797-2ade-f2f9-7859-1cb5d0249218",body:"目次はじめに目次（本ページ）はじめに動作確認済みアプリケーション用語集用語集機能概要SkyPDF Pro Driverについてエラーメッセージの通知方法設定画面設定画面の起動方法［簡単設定］タブ［ページ設定］タブ［圧縮オプション］タブ［フォントの埋め込み］タブ［セキュリティー］タブ［すかし］タブ［タイムスタンプ］タブ［文書］タブ［規格］タブ［画像出力］タブ［バージョン情報］タブ制限・注意事項SkyPDF Pro Driverの制限・注意事項",title:"目次",HTMLFileName:"目次_guid-5e876797-2ade-f2f9-7859-1cb5d0249218_0.html"},{topicId:"guid-c4121d8e-6689-4756-a26c-dee3e1a35365",body:"はじめに[[ヘルプの概要1]] [[ヘルプの概要2]] 注意事項本製品は、株式会社スカイコム（以下、当社）が開発した製品です。 当社の書面による事前の許可なしに本ヘルプおよび本製品について複製・保存・転送を行うことは、いかなる形式・手段であっても禁止されています。 本製品を輸出する場合には、外国為替、外国貿易法および米国の輸出管理関連法規などの規制をご確認の上、必要な手続きをお取りください。 免責事項本ヘルプは、本ヘルプに記載される内容があくまでも参照用としてのみ用いられること、製品の改良等に伴い予告なしに変更されることを前提として提供されるものです。 本ヘルプにおける誤りや欠落、不正確な記述について、当社は一切責任を負いません。 当社は本ヘルプが提供する情報について、その完全性、正確性、有用性、特定目的適合性、第三者の権利の非侵害性等を一切保証せず、またこれらを調査する義務を負わないものとします。 当社はライセンス使用許諾契約書に従って製品保証を提供しており、本ヘルプに基づく保証は行っておりません。 したがって、本ヘルプの利用あるいは利用できなかったことにより生じたいかなる損害についても、当社は義務や責任を負うものではありません。 予めご了承ください。 最終更新日[[最終更新日]] 最新版は以下のURLから取得できます。 https://www.skycom.jp/support/product_manual/  ",title:"はじめに",HTMLFileName:"はじめに_guid-c4121d8e-6689-4756-a26c-dee3e1a35365_1.html"},{topicId:"guid-4b4978fe-afef-3a31-c285-6063fbca492e",body:"動作確認済みアプリケーションProfessional Standard Professional(TS) TSSkyPDF Pro DriverとSkyPDF V4 Driverは、以下の他社製品における印刷で動作確認済みです。 Microsoft Office 2016 (Word / Excel / PowerPoint)Microsoft Office 2019 (Word / Excel / PowerPoint)Microsoft Office 2021 (Word / Excel / PowerPoint)Microsoft 365 / Office 365 (Word / Excel / PowerPoint / Visio)Microsoft Visio 2016Microsoft Visio 2019Microsoft Visio 2021Microsoft Edge（Chromium版）一太郎 2022一太郎 2023一太郎 2024ただし、次の点にご注意ください。 上記以外でも、印刷機能のあるアプリケーションであればPDFファイルを作成することができます。 ただし、当社では未確認のため動作は保証しません。 元ドキュメントの内容やアプリケーションの種類によっては、正常にPDFファイルを生成できない場合があります。各アプリケーションのメーカーがサポートするOSでの利用のみ動作を保証します。SkyPDF Pro Driverは、UWPアプリには非対応です。動作は保証していません。",title:"動作確認済みアプリケーション",HTMLFileName:"動作確認済みアプリケーション_guid-4b4978fe-afef-3a31-c285-6063fbca492e_2.html"},{topicId:"guid-94e104c4-5767-70b9-737d-79f51be716fd",body:"用語集本ヘルプにおける主な用語の定義を説明します。 本ヘルプでは、一般的な用法や解釈とは異なる意味で使用している用語もあります。本ヘルプをご使用の際の定義としてご理解ください。 英数字Excel「動作確認済みアプリケーション」記載のMicrosoft Office Excelを指す。OfficeWord、Excel、PowerPointの３つを指す。Officeアドイン機能Officeのリボンに［SkyPDF］タブを追加するアドイン。 しおりとリンクが付いたBookmark PDFと、しおりやリンクの無いNormal PDFを作成することができる。PDF/A電子文書の長期保存を目的としたPDFのISO規格。PDF/X印刷用データ交換を目的としたPDFのISO規格。PowerPoint「動作確認済みアプリケーション」記載のMicrosoft Office PowerPointを指す。UWPアプリユニバーサルWindowsプラットフォームアプリ。 OSによってはWindowsストアアプリやユニバーサルWindowsアプリともいう。 OS標準搭載の一部のアプリやMicrosoft Storeからインストールしたアプリ。Visio「動作確認済みアプリケーション」記載のMicrosoft Visioを指す。Word「動作確認済みアプリケーション」記載のMicrosoft Office Wordを指す。五十音順アクセシビリティ身体に障害のある方や高齢者の方が、簡単にPDF文書の情報やメニューにアクセスできるようにする機能。コントロールパネルWindows OSの各種設定を行うための機能。 スタートメニューの［Windows システムツール］または［Windows ツール］から開く。デバイスとプリンターOSにインストールされているプリンターの一覧。 コントロールパネルの［デバイスとプリンター］または［デバイスとプリンターの表示］から開く。「プリンターとスキャナー」においてプリンター選択時に表示される各種メニューから行う操作は、「デバイスとプリンター」ではプリンターの右クリックメニューから操作してください。プリンターとスキャナーOSにインストールされているプリンターの一覧。 スタートメニューの［設定］－［（Bluetoothと）デバイス］－［プリンターとスキャナー］から開く。「デバイスとプリンター」において右クリックから行う操作は、「プリンターとスキャナー」ではプリンターを選択すると表示される各種メニューから操作してください。プリント サーバー プロパティ用紙、ポート、プリンタードライバーなど、プリンターサーバーのプロパティ。 「デバイスとプリンター」のプリンター選択時のメニュー、または、「プリンターとスキャナー」の画面下部から開く。一太郎「動作確認済みアプリケーション」記載の一太郎を指す。元ドキュメント本ヘルプにおいては、本製品を使用してPDF変換を行う前の文書ファイルの総称。",title:"用語集",HTMLFileName:"用語集_guid-94e104c4-5767-70b9-737d-79f51be716fd_3.html"},{topicId:"guid-31856e59-ebe2-770c-9a43-665fcba6a318",body:"SkyPDF Pro DriverについてSkyPDF Pro Driverは、PDFを作成するための仮想プリンタードライバです。 様々なアプリケーションで作成した様々な形式のファイルをPDFに変換することができます。 基本的な流れ ① 変換元となる元ドキュメントを用意する。② SkyPDF Pro Driverを使って印刷する。③ PDFファイルが出力される。出力するPDFの設定 出力するPDFの詳細は印刷前に設定画面で設定できます。 関連トピック エラーメッセージの通知方法設定画面の起動方法［簡単設定］タブ［ページ設定］タブ［圧縮オプション］タブ［フォントの埋め込み］タブ［セキュリティー］タブ［すかし］タブ［タイムスタンプ］タブ［文書］タブ［規格］タブ［画像出力］タブ［バージョン情報］タブ   ",title:"SkyPDF Pro Driverについて",HTMLFileName:"SkyPDF Pro Driverについて_guid-31856e59-ebe2-770c-9a43-665fcba6a318_4.html"},{topicId:"guid-44061b71-7219-c6be-bd1a-f1ade64e3bb3",body:"エラーメッセージの通知方法SkyPDF Pro Driverは、印刷中にエラーが発生した場合、インストール時に設定した方法でエラーメッセージを通知します。 メッセージダイアログで通知する場合 メッセージダイアログで通知するよう設定してインストールした場合、印刷実行中にエラーが発生すると、画面にメッセージダイアログが表示されます。 メッセージ内容を確認し、［OK］または［X］を押してダイアログを閉じてください。 Windowsログで通知する場合 メッセージダイアログは表示せず、システムイベントのWindowsログに登録するよう設定してインストールした場合、印刷中のエラーはOSの「イベント ビューアー」で確認してください。 タスクバーの検索ボックスに「イベント ビューアー」と入力し、検索結果をクリックして「イベント ビューアー」を開きます。［Windows ログ］の［Application］を開きます。 エラー内容を確認します。レベルエラーソースSkyPDF Pro DriverイベントID3説明Message: エラー事由 Reference information: Printer Name:プリンター名 Doc Info Name:DOCINFO構造体にて渡されたドキュメント名 PDF File Name:PDFファイル出力先パス Job ID:ジョブID",title:"エラーメッセージの通知方法",HTMLFileName:"エラーメッセージの通知方法_guid-44061b71-7219-c6be-bd1a-f1ade64e3bb3_5.html"},{topicId:"guid-f073f6da-c526-291a-ed1e-50b903cc7dbb",body:"設定画面の起動方法SkyPDF Pro Driver（以下、本ドライバ）の設定画面を起動する方法は複数あり、どこから起動するかによって設定の適用範囲が異なります。 アプリケーションの印刷画面から起動する方法アプリケーションの印刷画面を開き、プリンターに本ドライバを設定して［プリンターのプロパティ］WordやExcelでは［プリンターのプロパティ］ですが、［詳細設定］や［プロパティ］、［その他の設定］など、アプリケーションによって名称が異なります。を押すと、本ドライバの設定画面が開きます。 表示された設定画面で設定を変更し、［OK］を押せば、このアプリケーションから行う印刷に対し設定内容が適用されます。 ここで行った設定は一時的な設定であり、アプリケーションの終了と同時にリセットされます。Excelの場合は、ファイルごとに印刷設定を保存するExcelの仕様により、アプリケーションを終了しても設定内容がファイルに保存されている場合があります。  SkyPDF DriverまたはSettingアイコンから起動する方法本ドライバは、Word / Excel / PowerPointに対しアイコン登録を行うことができます。 アイコンを登録するための設定画面と、アイコン登録後のSettingアイコンからも、本ドライバの設定画面を起動することが可能です。 ここで行った設定は永続的な設定であり、常に適用されます。 また、設定内容は、Windowsのユーザーアカウントごとに保存されます。 SkyPDF Driverの設定 スタートメニューのアプリ一覧から［SkyPDF Driver］を選択すると、設定画面が起動します。［印刷設定］を押すと、プリンターの選択画面が表示されます。 プリンターを選択し［プロパティ］を押すと、設定画面を開くことができます。［OK］を押すと、選択したプリンターがOfficeアドインで使用するプリンターとして登録されます。SkyPDFアドインのSettingアイコン アイコン登録を行っている場合、Officeアプリケーションのリボンに［SkyPDF］タブが追加されます。 ［SkyPDF］タブの［Setting］をクリックすると、上記SkyPDF Driverの設定で選択したプリンターの設定画面を開くことができます。 未設定の場合はプリンターの選択画面が表示されます。 コントロールパネルから起動する方法 本ドライバは、コントロールパネルの「デバイスとプリンター」から設定を変更できます。 ここで行った設定は永続的な設定であり、常に適用されます。 「デバイスとプリンター」を開きます。プリンターの一覧の中から本ドライバを右クリックし、［印刷設定］または［プリンターのプロパティ］を選択します。Windowsのユーザーアカウントごとに設定する場合 ［印刷設定］、または、［プリンターのプロパティ］－［基本設定］を選択します。Windowsのユーザーアカウントすべてのデフォルト設定を変更する場合 ［プリンターのプロパティ］－［詳細設定］タブ－［標準の設定］を選択します。bはデフォルト設定を変更するものです。aの方法で設定を変更したユーザーアカウントは、aの設定が優先されます。表示された設定画面で設定を変更し［OK］を押せば、次回から設定内容が適用されます。 ",title:"設定画面の起動方法",HTMLFileName:"設定画面の起動方法_guid-f073f6da-c526-291a-ed1e-50b903cc7dbb_6.html"},{topicId:"guid-4f9a1464-dee8-4f71-3c31-0e4760aa3e68",body:"［簡単設定］タブSkyPDF Pro Driver印刷設定の［簡単設定］タブでは、出力するPDFの用紙サイズ、印刷品質、出力先など、他のタブで設定する項目の一部を簡単に設定することができます。  用紙設定PDFの用紙サイズと用紙の向きを設定します。 （参照：［ページ設定］タブ） PDFの品質PDFの品質を、［サイズ優先］と［画質優先］のスライドバーで設定します。 [グラフィック（解像度）]は［ページ設定］タブ、それ以外は［圧縮オプション］タブに同様の設定があります。    グラフィック(解像度)ダウンサンプリング補間解像度カラー/グレースケール画像圧縮白黒画像圧縮サイズ最優先  150dpiバイリニア150dpiJPEG（画質－最低）Zipサイズ優先  300dpiバイリニア150dpiJPEG（画質－低）Zip標準  600dpiバイキュービック150dpiJPEG（画質－中）CCITTグループ4  画質優先  600dpiスーパーサンプリング300dpiJPEG（画質－中）Run Length画質最優先  600dpi補間方法の機能オフ補間方法の機能オフJPEG（画質－高）Run Lengthフォントの埋め込みPDFで使用するフォントの情報をPDF内にすべて埋め込む場合にチェックします。 （参照：［フォントの埋め込み］タブ） PDFファイルの保存先［マイドキュメント］［デスクトップ］［カスタム］の中からPDFの保存先を選択します。 ［カスタム］選択時は、［参照］を押すか、テキストボックスにファイルパスを直接入力して保存先を指定します。 （参照：［ページ設定］タブ） PDF閲覧用パスワードPDFファイルを開く際に使用するパスワードを設定します。 （参照：［セキュリティー］タブ） カラー/白黒PDFの色を［カラー］［白黒］のいずれかに設定します。 ［白黒］を選択した場合は、グレースケールのPDFとなります。 （参照：［ページ設定］タブ） 設定のエクスポート/インポート他のタブを含む印刷設定内容の保存と読み込みが可能です。 設定のエクスポート 本製品全体の設定を印刷設定ファイル（*.ssf）として保存する。 設定のインポート ［設定のエクスポート］で保存した印刷設定ファイル（*.ssf）を読み込んで、本製品全体の設定へ反映する。  ",title:"［簡単設定］タブ",HTMLFileName:"［簡単設定］タブ_guid-4f9a1464-dee8-4f71-3c31-0e4760aa3e68_7.html"},{topicId:"guid-b3beff4a-1ad0-7eb3-edd5-fa667327bfd3",body:"［ページ設定］タブSkyPDF Pro Driver印刷設定の［ページ設定］タブでは、用紙サイズや余白、PDFの保存に関して設定することができます。  PDFバージョン 出力するPDFのバージョンを変更できます。 PDFのバージョンによって設定できる機能に差があります（下表参照）。 ［自動］を選択すると、設定されている機能に応じたPDFバージョンで出力できます。 また、出力したPDFは、そのPDFバージョンや設定した機能に対応したPDFビューアーで表示してください。 M：設定必須 O：設定可 -：設定不可 記載のない機能：影響無し  設定項目PDFバージョン1.41.51.61.72.0圧縮オプションカラー/グレースケール画像：JPEG2000-OOOOセキュリティー暗号化レベル：128-bit RC4OOOO-暗号化レベル：128-bit AES--OO-暗号化レベル：256-bit AES---OOアクセシビリティを無効にするOOOO-文書文書情報をメタデータとして出力するOOOOM規格準拠する規格： PDF/A-1b, PDF/A-2b, PDF/A-4, PDF/X-1a(2001), PDF/X-1a(2003)自動用紙サイズ 作成するPDFの用紙サイズを設定します。 標準選択可能な定型の用紙サイズサイズ指定［幅］×［高さ］で指定した用紙サイズ（1～94.5インチ）単位は［サイズ指定と余白の単位］で選択できます。 1インチ = 72.0ポイント = 25.4ミリ向き 用紙の向きを［縦］または［横］から選択します。  縦用紙サイズの持つ［幅］を横の辺、［高さ］を縦の辺とした用紙の向き横用紙サイズの持つ［高さ］を横の辺、［幅］を縦の辺とした用紙の向き余白 PDFの上端と左端の余白を設定します。 余白用紙の上端と左端の余白設定した余白は、元ドキュメントに対してアプリケーションから指定した余白に加算されます。そのため、アプリケーションでの設定と併用すると、アプリケーションでの表示より右下に移動し、用紙サイズからはみ出した部分は表示されません。単位は［サイズ指定と余白の単位］で選択できます。サイズ指定と余白の単位［インチ］［ポイント］［ミリ］の中から単位を選ぶ。 単位を変更すると、［サイズ指定］と［余白］に入力されている数値は、単位に合わせて自動的に変換される。 1インチ = 72.0ポイント = 25.4ミリファイル保存後に開く PDFの保存完了後、自動的にPDFビューアーで開きます。 空白ページを除去する 元ドキュメント内に含まれている空白ページを自動的に削除してPDFを作成します。 PowerPointファイルの場合は適用されません。Wordファイルの場合、改行や改ページで作成した白紙ページは削除されません。Web表示用に最適化 Web上で表示するのに最適な構成でPDFを作成します。 ページ単位でダウンロードできるようになるため、表示時間の短縮に有効です。サムネイル画像を埋め込む 作成するPDFにサムネイル画像（各ページの縮小画像）を埋め込みます。 サムネイル画像をあらかじめ埋め込んでおくと、PDFビューアーでサムネイルをすばやく表示することができます。 解像度が72～1200dpiで有効となります。カラー/白黒 作成するPDFの色設定を、［カラー］または［白黒］から選択します。 カラー元ドキュメントの色を変更せずにPDFに変換する。白黒元ドキュメントの色にかかわらず、グレースケールのPDFに変換する。グラフィック 作成するPDFの解像度と倍率を設定します。 解像度PDFの解像度 72dpi、96dpi、150dpi、300dpi、600dpi、1200dpi、2400dpiの中からひとつ選択することができる。通常、解像度が高いほど文書のレイアウトは正確になりますが、ファイルサイズが大きくなります。元ドキュメントのレイアウトを変えずにPDFを作成する場合や、高品質での印刷が必要な場合は、300dpi以上を指定してください。倍率用紙サイズを変えずに、指定した倍率で印刷する。 （例）用紙サイズとしてA4を指定し倍率を50%でPDF作成すると、元ドキュメントの内容が50%に縮小され、A4用紙の左上に表示される。倍率を200%で作成すると、元ドキュメントの倍に拡大されて収められ、はみ出した部分は消去または別ページとして出力されます。 出力設定 作成するPDFのファイル名や保存先のフォルダに関して設定します。 保存ダイアログを表示するPDFファイルを出力するたびに「PDFファイルに名前をつけて保存」ダイアログボックスを表示し、保存先とファイル名を指定する。 この設定は、インストール時にメッセージ通知方法としてWindowsログを選択した場合は設定できません。指定した保存先フォルダに出力する「保存先フォルダ」で指定された場所に元の文書のファイル名（拡張子の前の部分）と同じファイル名で保存する。 保存先フォルダ［保存ダイアログを表示する］選択時は「PDFファイルに名前をつけて保存」ダイアログボックスの初期表示フォルダ、［指定した保存先フォルダに出力する］選択時はPDFファイルの出力先となる。 ［初期化］をクリックすると、インストール時に指定した内容に設定を戻す。 マイドキュメント保存先を「マイドキュメント」にする。 デスクトップ保存先をデスクトップにする。 (テキストボックス)保存先フォルダのパスを直接入力するか、［参照］をクリックして任意のフォルダを指定する。 最後に保存したフォルダ［保存ダイアログを表示する］選択時に設定できる。 「PDFファイルに名前をつけて保存」ダイアログボックスの初期表示先を前回の保存先フォルダにする場合に選択する。 同名ファイルが存在した場合の設定作成するPDFと同名のファイルが保存先フォルダに既に存在する場合、どのような処理を行うかあらかじめ設定する。 ［上書き］または［既存ファイルの後に追加する］を設定した場合は、PDF作成に十分注意してください。誤って重要なPDFを変更してしまう危険性があります。警告ダイアログを表示する「◯◯◯.pdfは既に存在します。上書きしますか？」と確認メッセージを表示する。 ［キャンセル］を選択すると、［保存先を指定する］設定を有効にしている場合は保存先とファイル名を変更するダイアログに戻り、無効にしている場合は印刷をキャンセルします。メッセージダイアログ非表示でインストールした場合は設定できません。上書き警告メッセージ無しで、既存の同名ファイルに上書きする。 ファイル名に連番を付けて保存するファイル名の後に、1から99,999までの連番を付けて別名保存する。 99,999を超えるとエラーになり、PDFファイルは作成されない。​​​​ （例）「ABC.docx」を同じ保存先に連続して3回PDF変換した場合 1回目：「ABC.pdf」、2回目：「ABC1.pdf」、3回目：「ABC2.pdf」​​​ 既存ファイルの後に追加する既存の同名ファイルの最終ページ以降につづけて追加する。 既存のファイルにパスワードによるセキュリティーが設定されている場合、同じパスワードで同等以上の暗号化レベルが設定されていないと、追加できません。また、セキュリティー設定は追加時の設定で上書きされます。ファイル名に日付を付加する出力するPDFのファイル名の末尾に、半角のアンダーバーを挟んで、出力日時を付与できる。 ",title:"［ページ設定］タブ",HTMLFileName:"［ページ設定］タブ_guid-b3beff4a-1ad0-7eb3-edd5-fa667327bfd3_8.html"},{topicId:"guid-65bb048e-58e4-c1c3-2553-2a1466e54139",body:"［圧縮オプション］タブSkyPDF Pro Driver印刷設定の［圧縮オプション］タブでは、PDFに埋め込む画像の圧縮について設定することができます。  一般 テキストとラインアート（線画）の圧縮、PDFのテキスト出力に関する設定です。 テキストとラインアートの圧縮元ドキュメント内のテキストと線画（ドローデータ）をZip形式で圧縮する。ASCIIフォーマットPDFファイルを7ビットのASCIIテキスト形式で出力。 ASCII出力したPDFファイルはテキストエディターで表示して編集することができる。 ダウンサンプリング ビットマップ画像のダウンサンプリングを行う場合の補間方法と解像度の設定です。 ダウンサンプリングの補間方法と解像度を指定すると、指定した解像度よりも高い解像度の画像は、指定した補間方法で指定した解像度までピクセル数が削減されます。 解像度には、1インチあたりのピクセル数を入力します。 PDF/Xと同時に設定することはできません。 バイリニア印刷品質より印刷速度を優先した補間方法。 データ量が小さくなり処理速度が速くなる。 単純な画像・図形に向いている。バイキュービック印刷速度・品質でバランスの取れた補間方法。 バイリニアに比べてデータ量が大きくなり処理速度が遅くなるが、より滑らかなグラーデーションの画像が得られる。 複雑な画像・写真に向いている。スーパーサンプリング画像内に描かれた物体の輪郭が斜線や曲線の場合に発生する縁のギザギザを軽減する。カラー/グレースケール画像 カラー画像とグレースケール画像の圧縮方法に関する設定です。 JPEG2000（対応するPDFバージョン：1.5以降） JPEGを発展させたもので、JPEGに比べノイズの発生が少ない。 処理速度は遅くなるが、高圧縮が可能。 圧縮率は、「画質－最低」がもっとも高く、「画質－最高」がもっとも低くなる。 圧縮には画質の劣化が伴う。JPEG写真などの連続階調の画像、高解像度でファイルサイズの大きな画像などに適した圧縮方法。 圧縮率は、「画質－最低」がもっとも高く、「画質－最高」がもっとも低くなる。 圧縮には画質の劣化を伴う。Run Length白または黒の部分が広い範囲でまとまっている白黒画像に適している。Zipイラストやスクリーンショットなど、均一濃度の部分が多く、階調が連続しない比較的小さい画像に適している。 画像の劣化は無いが、圧縮率が低いためファイルサイズが大きくなる。圧縮方法自動判定（JPEG/Zip）圧縮方法でJPEG2000またはJPEGを選ぶと設定可能。 自動判定を行うため、処理が遅くなる。 選択した圧縮方法よりZip形式の方がサイズ効率が良い場合、自動でZip形式が適用される。白黒画像 白と黒のみで構成されている白黒画像の圧縮方法に関する設定です。 白黒画像とは、白と黒のみで構成されている画像を指します。グレーは含まれません。 CCITTグループ3 CCITTグループ4ファックスの送信時に使われる形式。 ペイントソフトの白黒画像などに適している。 圧縮によるデータの損失もなく、ほとんどの圧縮画像に適している。 グループ3よりグループ4の方が圧縮効果が高い。Zip白または黒の部分が細かく分かれている白黒画像に適している。Run Length白または黒の部分が広い範囲でまとまっている白黒画像に適している。JBIG2他の圧縮形式よりも高圧縮率で圧縮するが、処理が遅くなる。 ",title:"［圧縮オプション］タブ",HTMLFileName:"［圧縮オプション］タブ_guid-65bb048e-58e4-c1c3-2553-2a1466e54139_9.html"},{topicId:"guid-065cb8b9-32e8-0cb9-017e-5be226ebf1a1",body:"［フォントの埋め込み］タブSkyPDF Pro Driver印刷設定の［フォントの埋め込み］タブでは、PDFに埋め込むフォントについて設定できます。  「フォントの埋め込み」とは、PDFで使用するフォントの情報をPDF内に埋め込むことです。 フォントを埋め込むと、ファイルサイズは大きくなりますが、そのフォントがインストールされていない別の環境でもレイアウトを損なうことなくPDFを表示・印刷することができます。 フォントを埋め込まない場合、ファイルサイズは小さくできますが、PDFを閲覧する環境やアプリケーションによって異なる表示になる可能性があります。すべて埋め込む使用するフォントをすべて埋め込む。異なる環境で閲覧する場合や長期保存を目的とした場合の推奨設定です。規格がPDF/AまたはPDF/Xの場合、必ず［すべて埋め込む］を設定してください。地域による最適化ヨーロッパ（Europe）または日本（Japan）のどちらのOSでPDFを使用するかによって、埋め込むフォントを自動で選定する。 ［すべて埋め込む］指定時より埋め込むフォントの数は少なくなる。カスタム埋め込むフォントを自己判断で設定する。フォントリストインストールされているフォントのうち埋め込み可能なフォントの一覧。埋め込みフォントリストPDFで使用されている場合は埋め込むフォントのリスト。 ［フォントリスト］から［>>］で追加し、［<<］で戻す。常に埋め込まないフォントリストPDFで使用されている場合も、埋め込まないフォントのリスト。 ［フォントリスト］から［>>］で追加し、［<<］で戻す。JIS2004とJIS90にて字体が異なる文字を埋め込むJIS2004とJIS90で字体が異なる文字のフォントを埋め込み、意図した表示を損なうことなく出力する。文字コード「0x5C(¥)」を埋め込むOSやアプリケーションの違いに左右されず、半角の「¥（円マーク）」と「\\（バックスラッシュ）」を元ドキュメントどおりに表示できるようフォントを埋め込む。 ",title:"［フォントの埋め込み］タブ",HTMLFileName:"［フォントの埋め込み］タブ_guid-065cb8b9-32e8-0cb9-017e-5be226ebf1a1_10.html"},{topicId:"guid-9613ad1f-5ec3-ac50-e8f5-06d1adce8fc3",body:"［セキュリティー］タブSkyPDF Pro Driver印刷設定の［セキュリティー］タブでは、［セキュリティーをかける］のチェックをオンにすると、PDFに対しパスワードや編集権限を設定することができます。 セキュリティー設定はPDF/AおよびPDF/Xと同時に設定することはできません。 パスワード ユーザパスワードPDFを開く際に必要となるパスワード（～32文字）［マスタパスワード］と同じパスワードは設定できません。マスタパスワード権限の設定を変更する際に必要となるパスワード（～32文字）PDFを開く際に入力するとすべての操作が可能な状態で開きます。「オーナーパスワード」と呼ばれる場合もあります。権限 暗号化レベル暗号化レベルが高いほどセキュリティーの面では効果的です。 暗号化レベルが高いほどPDFのバージョンはより新しくする必要があります。 暗号化レベル対応するPDFバージョン128-bit RC41.4～1.7128-bit AES1.6、1.7256-bit AES1.7、2.0 制限する項目印刷を許可しない印刷することのできないPDFとする。すべて印刷印刷の制限を行わないPDFとする。低解像度で印刷低解像度でのみ印刷できるPDFとする。テキスト、画像、およびその他の内容のコピーや抽出を許可しないテキストや画像、その他のコピー・抽出ができないPDFとする。アクセシビリティを無効にするテキスト読み上げ機能などのアクセシビリティ機能を使用できないPDFとする。PDFバージョンが2.0の場合は無効にできません。署名・捺印および注釈、しおり、フォームフィールドの追加や変更を許可しない新しい署名・捺印・注釈・フォームフィールドの追加や変更ができないPDFとする。編集、注釈、しおり、フォームフィールドの作成、入力および署名・捺印を許可印刷や、コピー・抽出を除く、すべての編集機能を使用できるPDFとする。署名なし捺印、注釈、フォームフィールドの入力および既存の署名フィールドへの署名を許可フォームフィールドの作成はできないが、フォームフィールドの入力、新しい注釈の作成、署名の追加ができるPDFとする。フォームフィールドの入力または既存の署名フィールドへの署名を許可フォームフィールドへの入力と署名フィールドへの署名ができるPDFとする。文書の追加、挿入、削除、回転を許可ページの挿入・削除・回転と、しおりおよびサムネイルの作成ができるようにする。    ✕：制限する（許可しない）、✔：制限しない（許可する）  署名・捺印および注釈、しおり、フォームフィールドの追加や変更を許可しない 編集、注釈、しおり、フォームフィールドの作成、入力および署名・捺印を許可 署名なし捺印、注釈、フォームフィールドの入力および既存の署名フィールドへの署名を許可 フォームフィールドの入力または既存の署名フィールドへの署名を許可 文書の追加、挿入、削除、回転を許可文書の変更✕✔✕✕✕文書アセンブリ✕✔✕✕✔注釈✕✔✔✕✕フォームフィールドの作成✕✔✕✕✕フォームフィールドへの入力✕✔✔✔✕既存の署名フィールドに署名✕✔✔✔✕署名フィールドを作成して署名✕✔✕✕✕テンプレートページの作成✕✔✔✕✕フォームの送信✕✔✔✕✕ ",title:"［セキュリティー］タブ",HTMLFileName:"［セキュリティー］タブ_guid-9613ad1f-5ec3-ac50-e8f5-06d1adce8fc3_11.html"},{topicId:"guid-1c1b9c32-f17c-3b04-b2de-76f109ed9025",body:"［すかし］タブSkyPDF Pro Driver印刷設定の［すかし］タブでは、PDFに埋め込むすかしについて設定できます。  本ドライバにおける「すかし」とは、元ドキュメントの内容を編集することなく、前面または背面に挿入するテキストやイメージのことです。種類 すかしの種類を選択します。 すかしの無いPDFにする場合は［埋め込まない］を選択します。 順序 すかしをPDFの最前面に挿入するか、最背面に挿入するか選択します。 最前面 最背面 透過 ［透過する］にチェックを入れると、0～100%の間で設定できます。 透過率の値が低ければ低いほど、追加したすかしは、より透明に近くなります。テキストの設定 種類として［テキスト］を選択した際は、すかしとして挿入するテキストについて設定します。 テキスト すかしとして挿入する文字列（全角・半角合わせて1～128文字）。 フォント テキストのフォント。 サイズ テキストのサイズ（1～100）。 カラーテキストの色。［ページ設定］の［カラー/白黒］をカラーに設定していれば指定した色で出力されます。白黒に設定している場合はグレースケールとなります。スタイル テキストのスタイル（標準 / 太字 / 斜体 / 太字斜体）。 角度 テキストの表示角度。 イメージの設定 種類として［イメージ］を選択した際は、すかしとして挿入するイメージについて設定します。 参照すかしとして挿入するイメージファイルのファイルパス。 ファイル形式：BMP（*.bmp）、JPEG（*.jpg, *.jpeg, *.jpe）、PNG（*.png）角度イメージの表示角度。縦横比固定チェックをONにすると、［配置の設定］で縦横の比率を変えずにイメージのサイズを変更可能になる。用紙サイズに合わせるイメージを用紙全体に拡大する。配置の設定 すかしの配置位置について設定します。 ［すかしの種類］によって設定の可否が異なります。 配置 すかしの配置に関する設定。 基準点 基準となる配置位置（左上 / 上 / 右上 / 左 / 中央 / 右 / 左下 / 下 / 右下）。 縦の移動量 / 横の移動量 ［基準点］で指定した位置からの移動量。 上または左に移動させたい場合：負の数値 下または右に移動させたい場合：正の数値 サイズ イメージサイズ。 ［イメージの設定］で［縦横比固定］をONにしている場合は、いずれかの値を変更すると、もう一方は自動的に変更される 単位 縦横の移動量やサイズで指定する値の単位（インチ / ポイント / ミリ）。 1インチ = 72.0ポイント = 25.4ミリ ",title:"［すかし］タブ",HTMLFileName:"［すかし］タブ_guid-1c1b9c32-f17c-3b04-b2de-76f109ed9025_12.html"},{topicId:"guid-b3ae4669-b2dd-582a-3286-52c896e3fcb6",body:"［タイムスタンプ］タブSkyPDF Pro Driver印刷設定の［タイムスタンプ］タブでは、［タイムスタンプを付ける］のチェックをオンにすると、出力するPDFにタイムスタンプを付与できます。  タイムスタンプとは、電子文書に対して付与する、日時に関する証明のための技術のことです。 日付と時刻が記録されたタイムスタンプを付与することで、その時刻以前にその電子文書が存在していたこと（存在証明）と、付与以降は当該文書が改ざんされていないこと（非改ざん証明）を証明できます。タイムスタンプ機能の注意事項 タイムスタンプ機能は、［ページ設定］タブの［Web表示用に最適化］設定と同時に設定することはできません。タイムスタンプ機能は、PDF/AおよびPDF/Xと同時に設定することはできません。本ドライバでPDFにタイムスタンプを付与するには、アマノセキュアジャパン株式会社の「アマノタイムスタンプサービス3161」が必要です。タイムスタンプサービスの利用申し込みやライセンスファイル・証明書ファイルについての詳細は、アマノセキュアジャパン株式会社にお問い合わせください。SHA256非対応の古いライセンスファイルは使用できません。ライセンスの更新については、アマノセキュアジャパン株式会社にお問い合わせください。［ページ設定］タブで［白黒］を設定していても、タイムスタンプの印影はカラーになります。［すかし］タブですかしを［最前面］に設定していても、タイムスタンプの印影はすかしより前面に追加されます。設定項目 ライセンスライセンスファイルとそのパスワードの設定。ファイルアマノセキュアジャパン株式会社から配布される、「アマノタイムスタンプサービス3161」のライセンスファイル（*.atl）のパス。パスワードライセンスファイルのパスワード（0～20文字）。 －確認タイムスタンプサーバーに接続し、指定したファイルとパスワードが使用できるか確認できる。サーバータイムスタンプサーバーのURLと接続タイムアウト時間。サーバー名タイムスタンプサーバーのURL。 通常はデフォルト（http://tss3161.e-timing.ne.jp/astdtssvr/TSRequest）のまま使用可。タイムアウトタイムスタンプサーバーに接続する際のタイムアウト時間（単位：秒）。0指定時は規定値の5秒となります。プロキシ［システムのプロキシ設定を使用する］のチェックをONにすると、タイムスタンプサーバーに接続する際、システムのプロキシ設定を使用して通信を行う。システムログ設定［記録する］のチェックをオンにすると、システムログを出力するフォルダーを指定することができる。エラー時［PDF生成時、タイムスタンプのエラーを無視する］のチェックをオンにすると、タイムスタンプ付与に失敗した場合にタイムスタンプ無しのPDFを生成する。 オフにすると、タイムスタンプ付与に失敗するとPDFは生成しない。詳細設定 タイムスタンプの印影・検証・日時形式に関する設定を変更できます。 印影の形式PDFに付与されるタイムスタンプの印影を選択する。不可視丸型 角型 印影の背景色を透過させるチェックをONにすると、印影の背景を透明にして、文書上に印影を配置しても文書が読み取れるようになる。 チェックがオフのとき チェックがオンのとき 印影を半透明にするチェックをONにすると印影を半透明にすることができる。可視印影の詳細設定印影の追加位置やリンクの有無に関する設定。ページ印影を追加するページ番号と、ページ左上を基点とした移動量（単位：mm）で位置を指定する。ページを逆順に指定するチェックをONにすると、［ページ］で指定したページ番号を、最終ページからのページ数としてカウントする。タイムスタンプ生成時の検証処理PDFにタイムスタンプを付与する際、検証を行うかの設定。 検証を行う場合、証明書のインストールが必要となる。 検証を行い、検証結果の不正や検証処理のエラーを検知した場合、タイムスタンプを付与しない。【検証内容】タイムスタンプに含まれるTSA証明書TSA証明書のルートCA証明書CRLCRLのルートCA証明書検証する【検証内容】1～4の検証を行い、すべての検証結果が正常な場合のみタイムスタンプを付与する。TSA証明書の失効確認以外を検証する【検証内容】1、2の検証を行い、検証結果が正常な場合のみタイムスタンプを付与する。TSA証明書のみ使用して検証する【検証内容】1の検証を行い、検証結果が正常な場合のみタイムスタンプを付与する。検証しない検証を行わずにタイムスタンプを付与する。日時形式の設定印影に表示するタイムスタンプ追加日時の日付形式・時刻形式。日付形式プルダウンメニューから選択する。設定項目の日付は例としてダイアログを開いた時点の日付を表示しています。実際にはタイムスタンプを追加した瞬間の日付となります。時刻形式プルダウンメニューから選択する。設定項目の時刻は例としてダイアログを開いた時点の時刻を表示しています。実際にはタイムスタンプを追加した瞬間の時刻となります。タイムゾーンの表示設定印影に表示するタイムスタンプ追加日時のタイムゾーン。略称で表示する選択したタイムゾーンの略称をタイムスタンプに表示する。UTCとの時間差で表示するUTC（時刻を記録する際に使用される世界共通の時刻）との時間差を明示的に設定する。アマノタイムスタンプのCA証明書のインストールタイムスタンプを検証する際は、以下の手順に従って証明書をインストールしてください。 アマノセキュアジャパン株式会社の「アマノタイムスタンプサービス3161のリポジトリ及びその他公開情報 」ページから、セコムトラストシステムズ株式会社のダウンロードページにアクセスし、以下すべての証明書をダウンロードします。ルートCA証明書Security Communication RootCA3 Certificate (SCRoot3ca.cer) https://repository.secomtrust.net/SC-Root3/ 中間CA証明書SECOM TimeStamping CA3 (ca3-der.cerまたはca3.cer、どちらでも可) https://repo1.secomtrust.net/spcpp/ts/ ダウンロードした証明書ファイルをそれぞれ実行します。セキュリティの警告が表示された場合は［開く］を押して進みます。［証明書のインストール］を押します。［次へ］を押します。［証明書をすべて次のストアに配置する］を選択し、［参照］を押します。ルートCA証明書（SCRoot3ca.cer）の場合は［信頼されたルート証明機関］のストアを、中間CA証明書（ca3-der.cerまたはca3.cer）の場合は［中間証明機関］のストアを選択し、［OK］を押します。［次へ］を押します。［完了］を押すと、証明書がインポートされます。ダウンロードした証明書をすべてインポートできたら完了です。詳細：アマノセキュアジャパン株式会社「ルートCA証明書および中間CA証明書の追加設定のお願い 」 ",title:"［タイムスタンプ］タブ",HTMLFileName:"［タイムスタンプ］タブ_guid-b3ae4669-b2dd-582a-3286-52c896e3fcb6_13.html"},{topicId:"guid-e16e2dd5-c9f3-9c8b-8c4c-c507b73a4938",body:"［文書］タブSkyPDF Pro Driver印刷設定の［文書］タブでは、作成するPDFの文書情報や、出力したPDFを表示する時の設定、リンクについて設定することができます。  文書情報 タイトル タイトル（0～256文字） PDF/Xで出力する場合、必ず設定してください。作成者 作成者（0～256文字） サブタイトル サブタイトル（0～256文字） キーワード キーワード（0～256文字） 文書情報をメタデータとして出力する ［文書情報をメタデータとして出力する］を有効にすると、通常はPDF内部の一要素として出力する文書情報（タイトル、作成者、サブタイトル、キーワード）をメタデータに出力できる。 PDFバージョンが2.0の場合と、規格がPDF/AまたはPDF/Xの場合は、必ず設定します。出力したPDFを表示する時の設定 PDFをビューアーで表示する時の初期設定を変更できます。 出力したPDFを表示する時の設定はPDF に埋め込むものです。PDFに埋め込まれた情報をどこまで読み込み可能か、読み込んだ内容を表示設定に対しどのように反映するかは、使用するPDFビューアーによって異なる可能性があります。ナビゲータ表示出力したPDFを開いたときのビューアーのナビゲータ表示の設定。 ページのみビューアーに従う。 しおりパネルナビゲータのしおりパネルを表示する。 ページパネルナビゲータのサムネイル表示を行うパネルを表示する。 添付ファイルパネルナビゲータの添付ファイルパネルを表示する。 倍率出力したPDFを開いたときの表示倍率。 指定しないビューアーに従う。 幅に合わせるビューアーの幅に合わせた倍率で表示する。 全体表示ビューアーの表示エリアに１ページ全体を表示できる倍率で表示する。 25～1000%指定した倍率で表示する。 表示レイアウト出力したPDFを開いたときのページレイアウト。 指定しないビューアーに従う。 ページ単位表示１ページずつ表示する。 ページ単位見開き表示２ページずつ表示する ページ単位見開き表示（表紙）１ページ目を表紙とし、２ページ目以降は２ページずつ表示する。 連続ページ表示１ページずつ連続して表示する。 連続ページ見開き表示２ページずつ連続して表示する。 連続ページ見開き表示（表紙）１ページ目を表紙とし、２ページ目以降は２ページずつ連続して表示する。 表示ページ出力したPDFを開いたとき最初に表示するページのページ番号。リンク URLを自動的にPDFリンクへ変換する元ドキュメント内にある「http://」「https://」「ftp://」「file://」「mailto:」で始まる文字列と「xxx@xxx.xxx」形式で記載される文字列は、PDF化の際にハイパーリンクに変換する。PDF/Xと同時に設定することはできません。   ",title:"［文書］タブ",HTMLFileName:"［文書］タブ_guid-e16e2dd5-c9f3-9c8b-8c4c-c507b73a4938_14.html"},{topicId:"guid-9d2834c6-b2f3-5ffd-0466-028db8193541",body:"［規格］タブSkyPDF Pro Driver印刷設定の［規格］タブでは、出力するPDFの規格を設定できます。  準拠する規格 PDFには、標準のPDF規格の他に複数の規格があります。用途に合わせて適宜設定してください。 なし設定したPDFバージョンの仕様に準拠した標準のPDF規格PDF/A-1bISO19005-1に一部準拠した、PDF1.4の仕様に基づく長期保存用の電子文書規格PDF/A-2bISO19005-2に一部準拠した、PDF1.7の仕様に基づく長期保存用の電子文書規格PDF/A-4ISO19005-4に一部準拠した、PDF2.0の仕様に基づく長期保存用の電子文書規格PDF/X-1a(2001)ISO15930-1に準拠した、プリプレスデータ交換用の規格PDF/X-1a(2003)ISO15930-4に準拠した、プリプレスデータ交換用の規格  準拠する規格ごとに設定できる機能に差があります（下表参照）。 M：設定必須 O：設定可 -：設定不可 記載のない機能：影響無し 設定項目準拠する規格PDF/APDF/X-1aページ設定PDFバージョン［自動］MMPDFバージョン［1.4］～［2.0］--圧縮オプションダウンサンプリング［補間方法］O-カラー/グレースケール画像［JPEG2000(画質-最高)～(画質-最低)］1b：- 2b：O 4：O-白黒画像［JBIG2］O-セキュリティー［セキュリティーをかける］--すかし透過率　100％OO透過率　0～99％1b：- 2b：O 4：O-タイムスタンプ設定［タイムスタンプを付ける］--文書［文書情報をメタデータとして出力する］MM［URLを自動的にPDFリンクへ変換する］O-画像出力画像PDFのダウンサンプリング［補間方法］O-準拠しない場合の処理 処理中に次のような状態を検知した場合、指定した規格でのPDF生成ができません。 埋め込み禁止フォントが使用されている。インストール先にICCプロファイルがない。ICCプロファイルとは International Color Consortiumの公表した標準に従ったカラーマネジメントの仕様を記述したものPDF/A-1bまたはPDF/X-1aと、透過画像を使用したすかしが同時に設定されている。このような場合の処理を選択します。 ジョブをキャンセルPDF生成を中止し、エラーメッセージを通知続行指定した規格に準拠しない、標準のPDFを生成出力インテントのプロファイル 出力するPDFの色空間プロファイルを設定できます。 PDF/A指定時sRGBAdobe RGB (1998)Apple RGBColorMatch RGBPDF/X-1a指定時US Web Coated (SWOP) v2US Web Uncoated v2Coated GRACoL 2006 (ISO 12647-2:2004)Web Coated SWOP Grade 3 PaperWeb Coated SWOP Grade 5 PaperCoated FOGRA27 (ISO 12647-2:2004)Web Coated FOGRA28 (ISO 12647-2:2004)Uncoated FOGRA29 (ISO 12647-2:2004)Coated FOGRA39 (ISO 12647-2:2004)Japan Web Coated (Ad)Japan Color 2001 CoatedJapan Color 2001 UncoatedJapan Color 2002 NewspaperJapan Color 2003 Web Coated     ",title:"［規格］タブ",HTMLFileName:"［規格］タブ_guid-9d2834c6-b2f3-5ffd-0466-028db8193541_15.html"},{topicId:"guid-ad298839-eedd-c1f9-1307-b95db554e6a1",body:"［画像出力］タブSkyPDF Pro Driver設定画面の［画像出力］タブの各項目について説明します。 ［画像出力］タブでは、元ドキュメントの表示内容のすべて、または一部を画像に変換してPDFを出力するよう設定することができます。  （画像PDFのイメージ）  通常出力 標準的な出力方法。 元ドキュメントの表示内容を画像としたくない場合に選択する。 部分的に画像を合成して出力 本製品が対応していないROP（ラスタオペレーション）が検知された場合、その部分のみを画像化して出力する方式。 元ドキュメントの再現性は高まるが、［通常出力］と比較すると印刷速度が遅くなる。 画像を合成して出力 対応・非対応に関わらず、ROPはすべて画像化する方式。 元ドキュメントの再現性は高まるが、[部分的に画像を合成して出力]と比較すると印刷速度が遅くなる。 画像PDF出力 元ドキュメントの表示内容をすべて画像に変換し、PDFを作成する方式。 画像として出力することで、PDFに変換することができない複雑な描画命令を再現することができる。 透明テキストを埋め込む 元ドキュメントのテキストを読み取って透明テキストとして埋め込む。 通常、画像PDFは文字検索やテキストコピーができないが、透明テキストを埋め込むことで文字検索やテキストコピーができる。 ［画像PDF出力］選択時のみ設定可。 作成する画像の解像度 画像の解像度をプルダウンから選択。 高い値を設定すれば元ドキュメントの再現性は高まるが、ファイルサイズが大きくなる。 ［画像PDF出力］選択時のみ設定可。 PDFをモニターで表示する場合、［72dpi］または［96dpi］でも問題はありません。元ドキュメントのレイアウトを変えずにPDFを作成したい場合や、高品質での印刷が必要な場合は、300dpi以上の解像度を指定してください。画像の色設定 作成する画像の色設定（モノクロ / グレースケール / フルカラー）。 ［画像PDF出力］選択時のみ設定可。 画像PDFのダウンサンプリング ダウンサンプリングを行う場合は、チェックボックスをONにして、補間方法と解像度（72dpi未満は設定不可）を設定する。 補間方法と解像度を指定すると、指定した解像度よりも高い解像度の画像が元の文書にある場合に、指定した補間方法で指定した解像度までピクセル数が削減する。 ［画像PDF出力］選択時のみ設定可。 （参照：［圧縮オプション］タブ） 画像の圧縮設定 圧縮を行う場合は、チェックボックスをONにして、圧縮方法を設定する。 ［画像PDF出力］選択時のみ設定可。 （参照：［圧縮オプション］タブ） 画像にするPDFの範囲 画像PDFとして作成したいページを設定する。 ［すべて］を選択すると、PDFにする全ページが画像として出力される。 ［ページ指定］を選択すると、指定ページのみ画像となり、指定ページ以外は通常出力される。 指定ページ以外が不要な場合、［指定したページのみ出力する］にチェックをつける。 ［画像PDF出力］選択時のみ設定可。      ",title:"［画像出力］タブ",HTMLFileName:"［画像出力］タブ_guid-ad298839-eedd-c1f9-1307-b95db554e6a1_16.html"},{topicId:"guid-f5317e6b-9523-7f9e-c40f-ca9498812b8d",body:"［バージョン情報］タブSkyPDF Pro Driver印刷設定の［バージョン情報］タブについて説明します。  製品情報当社の社名、URL、製品名とそのバージョン、インストール日時が表示される。表示言語左のプルダウンで言語を選択し［言語切換］を押すと、製品全体の言語が切り替わる。 設定の変更は、次回起動時に反映される。マニュアル本ヘルプを開く。よくある質問当社HPのFAQを規定のブラウザーで開く。 オンライン環境でのみ閲覧できる。 ライセンス確認-認証アカウント情報が表示される。 シリアルNo.やオプションの適用状態の確認、ライセンスの解除・切り替えができる。 認証解除 本製品を新しいマシンや別のマシンで使用したいとき、ここでライセンス認証を解除すると、ライセンス数を消費せずに使用マシンを切り替えることができる。認証切替 ライセンスファイルを指定してライセンス認証を行うことができる。   ",title:"［バージョン情報］タブ",HTMLFileName:"［バージョン情報］タブ_guid-f5317e6b-9523-7f9e-c40f-ca9498812b8d_17.html"},{topicId:"guid-e5a01355-9b66-1366-536d-6cb9de13557f",body:"SkyPDF Pro Driverの制限・注意事項SkyPDF Pro Driverのご利用に際しては、以下の制限事項・注意事項にご注意ください。 対応アプリケーションに関する事項SkyPDF Pro DriverはUWPアプリからの印刷には非対応です。そのため、UWPアプリからSkyPDF Pro Driverを指定して印刷（PDF化）すると、以下のような問題が発生する場合があります。SkyPDF Pro Driverを直接印刷設定※にしていると、PDFが作成できないなどの問題が発生する場合があります。「デバイスとプリンター」画面の［SkyPDF Pro Driver］右クリック－［プリンターのプロパティ］－［詳細設定］タブ－［プリンターに直接印刷データを送る］UWPアプリから印刷すると、処理が無反応もしくは停止したような状態になる場合があります。対応アプリケーションの場合でも、レイアウトやファイルサイズなどの条件により、稀にPDFの精度が損なわれる場合があります。 Visioの場合で言えば、入力したBold（太字）、Italic（斜体）、ItalicBold（太字斜体）文字が、テキストではなくグラフィックと認識されてPDF変換される場合があります。また、標準字体でもグラフィックとして認識される場合（以下の例を参照）があります。 （例）Visioでは“MS Pゴシック”のフォントの標準字体の場合、印刷解像度300dpi以下では⽂字は全てグラフィックとして認識されます。また、印刷解像度600dpiではフォントサイズが86pt以上、1200dpiでは43pt以上、2400dpiでは22pt以上の文字は全てグラフィックとして認識されます。Visioの場合、Visioの仕様により、印刷設定で⽤紙の向きを変更しても反映されません。ページ設定に関する事項［空白ページを除去する］設定を有効にしている場合でも、PowerPointファイルの空白ページは除去されません。［空白ページを除去する］設定を有効にしている場合でも、Wordファイルでは、改行文字が入っていない空白ページ（［挿入］－［ページ区切り］で作成したもの）のみ除去されます。 Enterキーを押して作成した空白ページや、空白のページ作成(［挿入］－［空白のページ］)で作成された空白ページは改行文字が入るため、除去されません。文書内リンクなどのオブジェクトが⼤量にあるものを元ドキュメントとした場合、［Web表示用に最適化］設定に関する処理が終了しない場合があります。PDF規格に関する事項PDF/Aとして出力したPDFは、元から埋め込まれているフォントに設定されているCIDSetに不備がある場合、Adobe Acrobatのプリフライトが一部正常に実施されない場合があります。外字領域で文字が割り当てられていない文字コードが使われている時、PDF/A規格のPDF出力ができない場合があります。フォントの埋め込みに関する事項SkyPDF Pro Driverの「フォントの埋め込み」設定でType1フォントを設定し、そのフォントを使用して作成された文書をPDFに変換した場合、アプリケーションによっては、そのPDFを開くとエラーメッセージが表示されたり、Type1フォント部分を空白で表示したり、などといった意図しない表示となる可能性があります。 ［対処］ 次のうちいずれかの対処策を行ってください。Type1フォントを利用する際は、フォントの埋め込みを行わない。ただし、埋め込みを行わないため、PDFファイルを開く環境に該当フォントがインストールされていない場合、代替フォントで表示される可能性がありますType1フォントを他のフォントに変更する本製品でPDFファイルを開く圧縮オプションに関する事項アプリケーションや環境によって、適用される圧縮オプションの方式が異なる場合があります。 例えば、同じアプリケーションから同じTIFF画像をPDFに変換する場合でも、32ビットOSでは「モノクロ画像圧縮」の設定が有効になり、64ビットOSでは「カラー/グレースケール画像圧縮」が有効になることがあります。タイムスタンプに関する事項Windowsのプロキシ接続環境においてSkyPDF Pro Driverの印刷設定画面を操作した際、プロパティ画面の「タイムスタンプ」タブのテストボタンが動作しない場合があります。その場合はWindowsのログオフが必要になります。Microsoft EdgeからSkyPDF Pro Driverを使ってPDFを作成する際、以下の条件をすべて満たす場合は、タイムスタンプを設定していてもタイムスタンプは付与されません。 ［PDF生成時、タイムスタンプのエラーを無視する］を設定していない場合は、「タイムスタンプを作成できませんでした。(コード：-999)」というエラーメッセージを表示します。 < 条件 >OSが32bitである。スプール印刷設定※にしている。「デバイスとプリンター」画面の［SkyPDF Pro Driver］右クリック－［プリンターのプロパティ］－［詳細設定］タブ－［印刷ドキュメントをスプールし、プログラムの印刷処理を高速に行う］Microsoft Edgeの保護モードを有効にしている。< 対処 > 上記の条件のいずれかを回避することで、タイムスタンプ付きのPDFを作成できます。また、Professional版の場合は、タイムスタンプなしのPDF作成後、PDFを開いて、別途タイムスタンプを追加することもできます。OSの機能に関する事項OSの［ファイルへ出力］オプションを有効にして印刷を行う場合、SkyPDF Pro Driverの［ページ設定］タブにある以下の設定は適用されません。出力フォルダの設定同名ファイルが存在した場合の設定ファイル名に日付を付加するファイル保存後に開くハイパーリンクに関する事項ハイパーリンク対象⽂字列は１⾏のみです。ハイパーリンク対象⽂字列の中に、下記の⽂字が含まれていると、その文字以降がハイパーリンク化されません。(　^　\\　|　'　&quot;（例）「https://msdn2.microsoft.com/ja-jp/library/ms742418(VS.80).aspx」をPDF化した場合、「https://msdn2.microsoft.com/ja-jp/library/ms742418」までがハイパーリンク⽂字列となります。⼀太郎の場合、e-mailアドレスの直前に文字と空白が有ると、空白が無視され、文字とアドレスがハイパーリンクとして認識されます。 （例）e-mail ii-help@skycom.co.jpの場合、&quot;ii-help@skycom.co.jp&quot;でなく、&quot;e-mailii-help@skycom.co.jp&quot;となってしまいます。Visioの場合、Visioは文字データが分割されて扱われるため、PDF作成時にハイパーリンク⽂字列が認識出来ません。ただし、他アプリ（Word等）からの貼り付けであれば、ハイパーリンクが付与できます。各項目のフォントの条件を満たす必要がありますExcelおよびPowerPointの場合、特殊記号が別のフォント扱いになるため、通常文字と特殊記号が別々の文字列になり、ハイパーリンク⽂字列として認識されません。 （例）特殊なフォント：Estrangelo Edessa, Gautami, Latha, Mangal, Raavi, Shruti, Tunga印刷画面のフォントに関する事項「MS UI Gothic」フォントがない英語OSを使用する場合、SkyPDF Pro Driverの印刷設定画面上の文字が大きくなり、一部表示が枠外に消えてしまいます。「MS UI Gothic」フォントをインストールするか、Microsoft Officeをインストールすることで回避できます。 ",title:"SkyPDF Pro Driverの制限・注意事項",HTMLFileName:"SkyPDF Pro Driverの制限・注意事項_guid-e5a01355-9b66-1366-536d-6cb9de13557f_18.html"}]